[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Switch to perl-5.005_02 ?

Martin Schulze wrote:
> Darren/Torin/Who Ever... wrote:
> > Joey Hess, in an immanent manifestation of deity, wrote:
> > >Do you have any plans to offer it as something like /usr/bin/perl-t? (or
> > >would modules need to be rebuilt too?)
> > 
> > It will be available as /usr/bin/perl5.00502-thread.  I could manage the 
> > /usr/bin/perl-t as alternatives.  No suidperl will be offered for this.
> > Any debian packages and all architecture dependent packages will have to 
> > be recompiled.  The 5.00502-thread will install itself under
> I guess after the new version of perl is installed in slink somebody should
> file bugreports against all architecture-dependent perl packages, i.e. CPAN
> modules with a severity of at least important so they will be either recompiled
> or removed with slink.

Let's wait till *after* the freeze and do that in the new unstable.

Frankly, I think it's a bad idea to just break all those packages.  Isn't
there some way to create a smooth upgrade path?

Richard Braakman

Reply to: